<?php

namespace KupShop\MarginsBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Margins.
 *
 * @ORM\Table(name="margins")})
 *
 * @ORM\Entity
 */
class Margin
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     *
     * @ORM\Id
     *
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var int
     *
     * @ORM\Column(name="range_from", type="integer", nullable=true)
     */
    private $range_from;

    public function getRangeFrom(): int
    {
        return $this->range_from;
    }

    public function setRangeFrom(int $range_from)
    {
        $this->range_from = $range_from;
    }

    public function getRangeTo(): int
    {
        return $this->range_to;
    }

    public function setRangeTo(int $range_to)
    {
        $this->range_to = $range_to;
    }

    public function getMargin(): int
    {
        return $this->margin;
    }

    public function setMargin(int $margin)
    {
        $this->margin = $margin;
    }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function setTitle(string $title)
    {
        $this->title = $title;
    }

    /**
     * @var int
     *
     * @ORM\Column(name="range_to", type="integer", nullable=true)
     */
    private $range_to;

    /**
     * @var int
     *
     * @ORM\Column(name="margin", type="integer", nullable=true)
     */
    private $margin;

    /**
     * @var string
     *
     * @ORM\Column(name="title", type="string", length=250, nullable=true)
     */
    private $title;
}
